External Contacts
All operations require authentication.
List external contactsProduction
List external contacts. Returns the email addresses of the external contacts of the service. Filter them by externalEmailAddress, firstName, lastName, displayName or id.
Path parameters
The internal name of your mxplan organization
Query parameters
Filter the value of displayName property (like)
Filter the value of externalEmailAddress property (like)
Filter the value of firstName property (like)
Filter the value of id property (like)
Filter the value of lastName property (like)
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ externalContact \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an external contactProduction
Get an external contact. Returns the email address, names, state and Global Address List visibility of the external contact.
Path parameters
Contact email
The internal name of your mxplan organization
Response
Creation date
Contact display name
Contact email
Contact first name
Hide the contact in Global Address List
Contact id
Contact initals
Contact last name
Contact state
creatingdeletingokreopeningsuspendedsuspendingunknownTask pending id
Example uses externalEmailAddress = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ externalContact/ {externalEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "externalEmailAddress": "string", "firstName": "string", "hiddenFromGAL": true, "id": 0, "initials": "string", "lastName": "string", "state": "creating", "taskPendingId": 0}
Create an external contactProduction
Create an external contact. Creates a contact with an external email address in the service, and returns the task. Set hiddenFromGAL to true to hide it from the Global Address List.
Path parameters
The internal name of your mxplan organization
Request body (required)
Contact display name
Contact email address
Contact first name
Hide the contact in Global Address List
Contact initials
Contact last name
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ externalContact \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete an external contactProduction
Delete an external contact. Removes the external contact from the address book of the MX Plan service and returns the task.
Path parameters
Contact email
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses externalEmailAddress = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ externalContact/ {externalEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update an external contactProduction
Update an external contact. Updates the email address, names, initials and Global Address List visibility of the external contact.
Path parameters
Contact email
The internal name of your mxplan organization
Request body (required)
Creation date
Contact display name
Contact email
Contact first name
Hide the contact in Global Address List
Contact id
Contact initals
Contact last name
Contact state
creatingdeletingokreopeningsuspendedsuspendingunknownTask pending id
Response
Example uses externalEmailAddress = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ externalContact/ {externalEmailAddress} \
-H "authorization: Bearer $OVH_TOKEN"